Chuyển đến nội dung
Diễn đàn CADViet

conghoa

Thành viên
  • Số lượng nội dung

    538
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    14

Cộng đồng

113 (tàm tạm)

1 Người theo dõi

About conghoa

  • Cấp bậc
    biết lệnh xref

Khách truy cập Tiểu sử gần đây

10.188 chế độ xem tiểu sử
  1. conghoa

    Lệnh offset đặc biệt

    Cảm ơn tác giả nhiều với lisp đơn giản nhưng khá hay! Mục đính của lisp: - Khi bổ chi tiết, bạn hay phải offset lớp vữa và màu của lớp vữa thường là khác với mầu tường. Bình thường khi sử dụng bạn phải offset nét tường đó ra 15 (chẳng hạn) rồi phải dùng tiếp lệnh ma để chuyển nó sang layer khác. Lisp này sẽ khắc phục những thao tác Ma nhàm chán đó. - Lisp này sẽ offset và tự động đổi đối tượng mới sang lớp hiện hành. - Tên lệnh : oo (defun C:OO (/ lay lt os kc msg1 p1 msg2) (setq os (getvar "Osmode") lt (getvar "celtype") lay (getvar "Clayer") msg1 "\nVao khoang cach offset: " kc (getreal msg1) msg2 (strcat "Chon vat the muon offset:*" (rtos kc) "*") );het setq (setvar "OSMODE" 512) (setq p1 (getpoint msg2)) (while p1 (command "offset" kc p1 pause "" "chprop" "l" "" "la" lay "lt" lt "") (setq p1 (getpoint msg2)) );het while (setvar "OSMODE" os) ) @all Bạn nào có thể nâng cấp chương trình này không vậy, hiện tại mỗi lần dùng lệnh lại phải nhập lại kích thước offset, nó không lưu lại được kết quả nhập vào từ lần trước. Thanks!
×